
QGIS Application - Bug report #8275

Checking for spatialite capability fails when "save as" dialog is opened two or more times

2013-07-11 04:38 PM - Daniel Vaz

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17078

Description

The first time when I try to save a vector layer using menu "save as" the option to export as Spatialite exists and works fine.

If I try for the second time (without close the QGis) the following output appears in console: ERROR 1: It seems a file system object called

'/vsimem/spatialitetest.sqlite' already exists.

I am using master version (compiled from source) on Ubuntu 13.04.

Associated revisions

Revision 15101bd0 - 2013-07-12 01:39 AM - Daniel Vaz

Fix #8275

Revision 18a04b55 - 2013-07-12 08:50 AM - Jürgen Fischer

Merge pull request #718 from ddanielvaz/fix-8275

cleanup temporary database after write check (fixes #8275)

History

#1 - 2013-07-11 11:50 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"18a04b55f001383597d00a9b1d4b96907da3e634".
